Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product.jmx
Class MxServerQuery

    java.lang.Object
      org.hyperic.hq.product.jmx.MxQuery
          org.hyperic.hq.product.jmx.MxServerQuery

    public class MxServerQuery

extends MxQuery

Field Summary

Fields inherited from class org.hyperic.hq.product.jmx.MxQuery
`EMPTY_PROPERTIES, objectName, PROP_ATTRIBUTE_NAME, PROP_MBEAN_CLASS, PROP_OBJECT_NAME, PROP_OBJECT_NAME_FILTER`

Constructor Summary
`MxServerQuery(ServerDetector detector)`

Method Summary
`void` | `findServices(MBeanServerConnection mServer)`
`Properties` | `getControlConfig()`
`String` | `getIdentifier()`
`String` | `getInstallPath()`
`String` | `getQualifiedName()`
`String` | `getResourceType()`
`List` | `getServiceQueries()`
`String` | `getVersion()`
`void` | `setInstallPath(String installPath)`
`void` | `setVersion(String version)`

Methods inherited from class org.hyperic.hq.product.jmx.MxQuery
`getAttribute, getAttribute, getAttributeNames, getAttributes, getAttributes, getCustomProperties, getName, getObjectName, getParent, getResourceConfig, getServerDetector, getURL, hasControl, initialize, setAttribute, setName, setServerDetector, setURL`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MxServerQuery

    public MxServerQuery(ServerDetector detector)

Method Detail

### getServiceQueries

    public List getServiceQueries()

### findServices

    public void findServices(MBeanServerConnection mServer)
                      throws PluginException

  Throws:
    `PluginException`

### getQualifiedName

    public String getQualifiedName()

  Specified by:
    `getQualifiedName` in class `MxQuery`

### getResourceType

    public String getResourceType()

  Specified by:
    `getResourceType` in class `MxQuery`

### getIdentifier

    public String getIdentifier()

  Specified by:
    `getIdentifier` in class `MxQuery`

### getControlConfig

    public Properties getControlConfig()

  Overrides:
    `getControlConfig` in class `MxQuery`

### getInstallPath

    public String getInstallPath()

### setInstallPath

    public void setInstallPath(String installPath)

### getVersion

    public String getVersion()

### setVersion

    public void setVersion(String version)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2010 Hyperic, Inc. support@hyperic.net, All Rights Reserved.